<?php
/**
 * The template for displaying all single posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package giornalismo
 */

namespace JM_Web_Development\Giornalismo;

get_header();

giornalismo()->print_styles( 'giornalismo-single' );
giornalismo()->print_styles( 'giornalismo-content' );
giornalismo()->load_color_stylesheet();

?>
	<div class="site-container">
		<main id="primary" class="site-main">
			<?php

			while ( have_posts() ) {
				the_post();
				?>
				<article id="<?php the_ID(); ?>" <?php post_class(); ?>>
					<?php get_template_part( 'template-parts/single-post/header' ); ?>

					<?php get_template_part( 'template-parts/single-post/content' ); ?>

					<footer class="post-footer">
						<?php wp_link_pages(); ?>
						<p class="tags"><?php the_tags( '<strong>' . esc_html__( 'Tags: ', 'giornalismo' ) . '</strong>' ); ?></p>

						<?php get_template_part( 'template-parts/single-post/navigation' ); ?>

						<?php comments_template(); ?>

						<?php get_template_part( 'template-parts/single-post/related' ); ?>

						<?php get_template_part( 'template-parts/single-post/latest' ); ?>

						<?php get_template_part( 'template-parts/single-post/bio' ); ?>
					</footer>
				</article>
				<?php
			}
			?>
		</main><!-- #primary -->
		<?php
		get_sidebar();
		?>
	</div>
<?php
get_footer();
